module.exports = {
  env: {
    browser: true,
    es2021: true,
  },
  extends: ['airbnb-base'],
  overrides: [],
  parserOptions: {
    ecmaVersion: 'latest',
    sourceType: 'module',
  },
  plugins: [
    'import',
    'html',
  ],
  rules: {
    'import/extensions': ['error', 'always'],
    'import/prefer-default-export': ['off'],
    'import/no-unresolved': ['error', { ignore: ['^http'] }],
    'import/no-absolute-path': ['off'],
    'no-unused-vars': ['error', { argsIgnorePattern: '^_' }],
    'max-classes-per-file': ['off'],
    'no-param-reassign': ['off'],
    'no-plusplus': ['off'],
    'no-restricted-syntax': ['off'],
    'max-len': ['warn', 120],
    'no-console': ['off'],
    'no-return-assign': ['off'],
    'no-multi-assign': ['off'],
    'no-constant-condition': ['off'],
    'no-await-in-loop': ['off'],
  },
  globals: {
    _: 'readonly',
    chai: 'readonly',
    expect: 'readonly',
    mocha: 'readonly',
    describe: 'readonly',
    context: 'readonly',
    it: 'readonly',
    specify: 'readonly',
    before: 'readonly',
    after: 'readonly',
    beforeEach: 'readonly',
    afterEach: 'readonly',
  },
};
